using System;
using System.Data;
using System.Collections.Generic;

using CallCenterApi.Model;
namespace CallCenterApi.BLL
{
    /// <summary>
    /// T_Sys_RoleFunction
    /// </summary>
    public partial class T_Sys_RoleFunction
    {
        private readonly CallCenterApi.DAL.T_Sys_RoleFunction dal = new CallCenterApi.DAL.T_Sys_RoleFunction();
        public T_Sys_RoleFunction()
        { }
        #region  Method

        /// <summary>
        /// 得到最大ID
        /// </summary>
        public int GetMaxId()
        {
            return dal.GetMaxId();
        }

        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int F_RoleId, int F_FunctionId)
        {
            return dal.Exists(F_RoleId, F_FunctionId);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public bool Add(CallCenterApi.Model.T_Sys_RoleFunction model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(CallCenterApi.Model.T_Sys_RoleFunction model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_RoleId, int F_FunctionId)
        {

            return dal.Delete(F_RoleId, F_FunctionId);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_Sys_RoleFunction GetModel(int F_RoleId, int F_FunctionId)
        {

            return dal.GetModel(F_RoleId, F_FunctionId);
        }



        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_Sys_RoleFunction> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_Sys_RoleFunction> DataTableToList(DataTable dt)
        {
            List<CallCenterApi.Model.T_Sys_RoleFunction> modelList = new List<CallCenterApi.Model.T_Sys_RoleFunction>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                CallCenterApi.Model.T_Sys_RoleFunction model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = new CallCenterApi.Model.T_Sys_RoleFunction();
                    if (dt.Rows[n]["F_RoleId"] != null && dt.Rows[n]["F_RoleId"].ToString() != "")
                    {
                        model.F_RoleId = int.Parse(dt.Rows[n]["F_RoleId"].ToString());
                    }
                    if (dt.Rows[n]["F_FunctionId"] != null && dt.Rows[n]["F_FunctionId"].ToString() != "")
                    {
                        model.F_FunctionId = int.Parse(dt.Rows[n]["F_FunctionId"].ToString());
                    }
                    if (dt.Rows[n]["F_IsKey"] != null && dt.Rows[n]["F_IsKey"].ToString() != "")
                    {
                        model.F_IsKey = int.Parse(dt.Rows[n]["F_IsKey"].ToString());
                    }
                    if (dt.Rows[n]["F_Short"] != null && dt.Rows[n]["F_Short"].ToString() != "")
                    {
                        model.F_Short = int.Parse(dt.Rows[n]["F_Short"].ToString());
                    }
                    modelList.Add(model);
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        //public DataSet GetList(int PageSize,int PageIndex,string strWhere)
        //{
        //return dal.GetList(PageSize,PageIndex,strWhere);
        //}

        #endregion  Method
    }
}

